API

Update HTML code

POST/api/crm/v2/sites_settings.update_htmlv2
operationId: sitesSettings.updateHtml

Updates the HTML code. id is composite — [page]_[platform]_[type]_[section].

Authorization

api-token + language + role

Query parameters

branch_idintegerrequired

Example: 8895

Request body application/json

object
idstringrequired

Composite identifier: [page]_[platform]_[type]_[section]

Example: all_site_desktop_head

htmlstringrequired

Example: <meta name='robots' content='noindex, nofollow'>

excludesarray of stringrequired

Field keys where HTML tags are stored without sanitization

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject